### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
QuantoEngine< Instr, Engine > Class Template Reference
Quanto option engines

Quanto engine. More...

`#include <ql/pricingengines/quanto/quantoengine.hpp>`

Inheritance diagram for QuantoEngine< Instr, Engine >:
[legend]

List of all members.

## Public Member Functions

| QuantoEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &, const Handle< YieldTermStructure > &foreignRiskFreeRate, const Handle< BlackVolTermStructure > &exchangeRateVolatility, const Handle< Quote > &correlation)
void | calculate () const

## Protected Attributes

boost::shared_ptr < GeneralizedBlackScholesProcess > | process_
Handle< YieldTermStructure > | foreignRiskFreeRate_
Handle< BlackVolTermStructure > | exchangeRateVolatility_
Handle< Quote > | correlation_

## Detailed Description

### template<class Instr, class Engine>
class QuantLib::QuantoEngine< Instr, Engine >

Quanto engine.

Warning:
  for the time being, this engine will only work with simple Black-Scholes processes (i.e., no Merton.)

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.